Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce
Class ReduceContext.ValueIterable

    java.lang.Object
      org.apache.hadoop.mapreduce.ReduceContext.ValueIterable

All Implemented Interfaces:
  Iterable<VALUEIN>

Enclosing class:
  ReduceContext<KEYIN,VALUEIN,KEYOUT,VALUEOUT>

    protected class ReduceContext.ValueIterable

extends Object
implements Iterable<VALUEIN>

Constructor Summary
`protected` | `ReduceContext.ValueIterable()`

Method Summary
`Iterator<VALUEIN>` | `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReduceContext.ValueIterable

    protected ReduceContext.ValueIterable()

Method Detail

### iterator

    public Iterator<VALUEIN> iterator()

  Specified by:
    `iterator` in interface `Iterable<VALUEIN>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation